<?php

class ClientFoss4gTableRules extends ClientPlugin {
    
    private $log;

    public function __construct() {
        parent::__construct();
        $this->log =& LoggerManager::getLogger(__CLASS__);
    }

    public static function computeUrl($tableId, $columnId, $inputValues) {
        if (empty($inputValues[$columnId])) {
            return '';
        }
        $name = $inputValues[$columnId];
        $url = 'http://some.server.somewhere/details?doc=' . $name;
        
        return sprintf('<a href="%s">%s</a>',
                       $url,
                       'more about '.$name);
    }

    public function initialize() {
            
        $tablesPlugin = $this->cartoclient->getPluginManager()->tables;        
        $registry = $tablesPlugin->getTableRulesRegistry();

        $registry->addCellFilter('query', 'airports', 
			                      'NAM', array('NAM'), 
                                 array('ClientFoss4gTableRules', 'computeUrl'));
        
        $registry->addColumnUnselector('*', '*', array('row_id'));
    }    
}

?>